Debian Bug report logs - #600075
sync() may block for very long periods - writeback problem?

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Сергей <kt315@bigmir.net>

Date: Wed, 13 Oct 2010 12:18:01 UTC

Severity: important

Tags: fixed-upstream

Merged with 595927, 606966

Found in versions 2.6.32-21, 2.6.38-4

Fixed in version 3.2~rc4-1~experimental.1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=18632

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600075; Package linux-2.6. (Wed, 13 Oct 2010 12:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Сергей <kt315@bigmir.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Oct 2010 12:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Сергей <kt315@bigmir.net>
To: submit@bugs.debian.org
Subject: linux-image-2.6.32-5-amd64: Problem with usb
Date: Wed, 13 Oct 2010 15:16:00 +0300
Package: linux-2.6
Version: 2.6.32-23
Severity: serious

Hello!
I connected usb-flash "Patriot Xporter XT" or iRiver T7 player. They 
mounted by
hand.
When i transfer many files thought usb interface and some other transfer 
work
on my HDD (like Unpacking linux-source-2.6.32 (from 
.../linux-source-2.6.32_2.6.32-23_all.deb)).
Then, after some time i got kernel INFO messages (see kernel log) and 
unpack procedure is freeze.



-- Package-specific info:
** Version:
Linux version 2.6.32-5-amd64 (Debian 2.6.32-23) (dannf@debian.org) (gcc 
version
4.3.5 (Debian 4.3.5-3) ) #1 SMP Fri Sep 17 21:50:19 UTC 2010

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.32-5-amd64 root=/dev/mapper/lvm_Lizarra-root ro 
quiet

** Tainted: P (1)
 * Proprietary module has been loaded.

** Kernel log:
[  600.412121]  [<ffffffff81107978>] ? sync_inodes_sb+0x73/0x12a
[  600.412125]  [<ffffffff8110b4e5>] ? __sync_filesystem+0x4b/0x70
[  600.412129]  [<ffffffff8110b5a4>] ? sync_filesystems+0x9a/0xe3
[  600.412132]  [<ffffffff8110b632>] ? sys_sync+0x1c/0x2e
[  600.412136]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[  720.412047] INFO: task dpkg:2423 blocked for more than 120 seconds.
[  720.412052] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" 
disables this
message.
[  720.412055] dpkg          D 0000000000000002     0  2423   2410 
0x00000000
[  720.412060]  ffff8801bd13dbd0 0000000000000086 00000006bfb21db8
ffff8800bfb21e58
[  720.412065]  0000000000000000 0000000000000000 000000000000f9e0
ffff8800bfb21fd8
[  720.412069]  0000000000015780 0000000000015780 ffff8801b45b1530
ffff8801b45b1828
[  720.412074] Call Trace:
[  720.412085]  [<ffffffff810b37d2>] ? find_get_pages_tag+0x46/0xdd
[  720.412091]  [<ffffffff811078f7>] ? bdi_sched_wait+0x0/0xe
[  720.412095]  [<ffffffff81107900>] ? bdi_sched_wait+0x9/0xe
[  720.412100]  [<ffffffff812f9e46>] ? __wait_on_bit+0x41/0x70
[  720.412104]  [<ffffffff811078f7>] ? bdi_sched_wait+0x0/0xe
[  720.412107]  [<ffffffff812f9ee0>] ? out_of_line_wait_on_bit+0x6b/0x77
[  720.412112]  [<ffffffff81064a1c>] ? wake_bit_function+0x0/0x23
[  720.412116]  [<ffffffff81107978>] ? sync_inodes_sb+0x73/0x12a
[  720.412120]  [<ffffffff8110b4e5>] ? __sync_filesystem+0x4b/0x70
[  720.412123]  [<ffffffff8110b5a4>] ? sync_filesystems+0x9a/0xe3
[  720.412127]  [<ffffffff8110b632>] ? sys_sync+0x1c/0x2e
[  720.412131]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[  840.412050] INFO: task dpkg:2423 blocked for more than 120 seconds.
[  840.412055] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" 
disables this
message.
[  840.412058] dpkg          D 0000000000000002     0  2423   2410 
0x00000000
[  840.412064]  ffff8801bd13dbd0 0000000000000086 00000006bfb21db8
ffff8800bfb21e58
[  840.412069]  0000000000000000 0000000000000000 000000000000f9e0
ffff8800bfb21fd8
[  840.412073]  0000000000015780 0000000000015780 ffff8801b45b1530
ffff8801b45b1828
[  840.412077] Call Trace:
[  840.412088]  [<ffffffff810b37d2>] ? find_get_pages_tag+0x46/0xdd
[  840.412094]  [<ffffffff811078f7>] ? bdi_sched_wait+0x0/0xe
[  840.412098]  [<ffffffff81107900>] ? bdi_sched_wait+0x9/0xe
[  840.412103]  [<ffffffff812f9e46>] ? __wait_on_bit+0x41/0x70
[  840.412107]  [<ffffffff811078f7>] ? bdi_sched_wait+0x0/0xe
[  840.412110]  [<ffffffff812f9ee0>] ? out_of_line_wait_on_bit+0x6b/0x77
[  840.412115]  [<ffffffff81064a1c>] ? wake_bit_function+0x0/0x23
[  840.412119]  [<ffffffff81107978>] ? sync_inodes_sb+0x73/0x12a
[  840.412124]  [<ffffffff8110b4e5>] ? __sync_filesystem+0x4b/0x70
[  840.412128]  [<ffffffff8110b5a4>] ? sync_filesystems+0x9a/0xe3
[  840.412131]  [<ffffffff8110b632>] ? sys_sync+0x1c/0x2e
[  840.412135]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[  960.412048] INFO: task dpkg:2423 blocked for more than 120 seconds.
[  960.412053] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" 
disables this
message.
[  960.412056] dpkg          D 0000000000000002     0  2423   2410 
0x00000000
[  960.412062]  ffff8801bd13dbd0 0000000000000086 00000006bfb21db8
ffff8800bfb21e58
[  960.412066]  0000000000000000 0000000000000000 000000000000f9e0
ffff8800bfb21fd8
[  960.412071]  0000000000015780 0000000000015780 ffff8801b45b1530
ffff8801b45b1828
[  960.412075] Call Trace:
[  960.412086]  [<ffffffff810b37d2>] ? find_get_pages_tag+0x46/0xdd
[  960.412092]  [<ffffffff811078f7>] ? bdi_sched_wait+0x0/0xe
[  960.412096]  [<ffffffff81107900>] ? bdi_sched_wait+0x9/0xe
[  960.412101]  [<ffffffff812f9e46>] ? __wait_on_bit+0x41/0x70
[  960.412105]  [<ffffffff811078f7>] ? bdi_sched_wait+0x0/0xe
[  960.412108]  [<ffffffff812f9ee0>] ? out_of_line_wait_on_bit+0x6b/0x77
[  960.412113]  [<ffffffff81064a1c>] ? wake_bit_function+0x0/0x23
[  960.412118]  [<ffffffff81107978>] ? sync_inodes_sb+0x73/0x12a
[  960.412122]  [<ffffffff8110b4e5>] ? __sync_filesystem+0x4b/0x70
[  960.412126]  [<ffffffff8110b5a4>] ? sync_filesystems+0x9a/0xe3
[  960.412129]  [<ffffffff8110b632>] ? sys_sync+0x1c/0x2e
[  960.412133]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[ 1080.412050] INFO: task dpkg:2423 blocked for more than 120 seconds.
[ 1080.412054] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" 
disables this
message.
[ 1080.412057] dpkg          D 0000000000000002     0  2423   2410 
0x00000000
[ 1080.412063]  ffff8801bd13dbd0 0000000000000086 00000006bfb21db8
ffff8800bfb21e58
[ 1080.412068]  0000000000000000 0000000000000000 000000000000f9e0
ffff8800bfb21fd8
[ 1080.412073]  0000000000015780 0000000000015780 ffff8801b45b1530
ffff8801b45b1828
[ 1080.412077] Call Trace:
[ 1080.412087]  [<ffffffff810b37d2>] ? find_get_pages_tag+0x46/0xdd
[ 1080.412093]  [<ffffffff811078f7>] ? bdi_sched_wait+0x0/0xe
[ 1080.412098]  [<ffffffff81107900>] ? bdi_sched_wait+0x9/0xe
[ 1080.412103]  [<ffffffff812f9e46>] ? __wait_on_bit+0x41/0x70
[ 1080.412107]  [<ffffffff811078f7>] ? bdi_sched_wait+0x0/0xe
[ 1080.412111]  [<ffffffff812f9ee0>] ? out_of_line_wait_on_bit+0x6b/0x77
[ 1080.412116]  [<ffffffff81064a1c>] ? wake_bit_function+0x0/0x23
[ 1080.412120]  [<ffffffff81107978>] ? sync_inodes_sb+0x73/0x12a
[ 1080.412124]  [<ffffffff8110b4e5>] ? __sync_filesystem+0x4b/0x70
[ 1080.412128]  [<ffffffff8110b5a4>] ? sync_filesystems+0x9a/0xe3
[ 1080.412131]  [<ffffffff8110b632>] ? sys_sync+0x1c/0x2e
[ 1080.412135]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[ 1200.412048] INFO: task dpkg:2423 blocked for more than 120 seconds.
[ 1200.412052] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" 
disables this
message.
[ 1200.412055] dpkg          D 0000000000000002     0  2423   2410 
0x00000000
[ 1200.412061]  ffff8801bd13dbd0 0000000000000086 00000006bfb21db8
ffff8800bfb21e58
[ 1200.412066]  0000000000000000 0000000000000000 000000000000f9e0
ffff8800bfb21fd8
[ 1200.412071]  0000000000015780 0000000000015780 ffff8801b45b1530
ffff8801b45b1828
[ 1200.412075] Call Trace:
[ 1200.412085]  [<ffffffff810b37d2>] ? find_get_pages_tag+0x46/0xdd
[ 1200.412091]  [<ffffffff811078f7>] ? bdi_sched_wait+0x0/0xe
[ 1200.412096]  [<ffffffff81107900>] ? bdi_sched_wait+0x9/0xe
[ 1200.412101]  [<ffffffff812f9e46>] ? __wait_on_bit+0x41/0x70
[ 1200.412105]  [<ffffffff811078f7>] ? bdi_sched_wait+0x0/0xe
[ 1200.412108]  [<ffffffff812f9ee0>] ? out_of_line_wait_on_bit+0x6b/0x77
[ 1200.412113]  [<ffffffff81064a1c>] ? wake_bit_function+0x0/0x23
[ 1200.412117]  [<ffffffff81107978>] ? sync_inodes_sb+0x73/0x12a
[ 1200.412121]  [<ffffffff8110b4e5>] ? __sync_filesystem+0x4b/0x70
[ 1200.412124]  [<ffffffff8110b5a4>] ? sync_filesystems+0x9a/0xe3
[ 1200.412128]  [<ffffffff8110b632>] ? sys_sync+0x1c/0x2e
[ 1200.412132]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b

** Model information
sys_vendor: System manufacturer
product_name: System Product Name
product_version: System Version
chassis_vendor: Chassis Manufacture
chassis_version: Chassis Version
bios_vendor: American Megatrends Inc.
bios_version: 0705
board_vendor: ASUSTeK Computer INC.
board_name: M2N68
board_version: Rev X.0x

** Loaded modules:
Module                  Size  Used by
nls_utf8                1208  1
nls_cp437               5817  1
vfat                    7852  1
fat                    39910  1 vfat
binfmt_misc             6399  1
ppdev                   5030  0
lp                      7462  0
vboxnetadp              4193  0
vboxnetflt             12525  0
vboxdrv              1723735  2 vboxnetadp,vboxnetflt
ext2                   52825  1
fuse                   49998  1
nfs                   240218  1
lockd                  57475  1 nfs
fscache                29594  1 nfs
nfs_acl                 2031  1 nfs
auth_rpcgss            33396  1 nfs
sunrpc                160837  10 nfs,lockd,nfs_acl,auth_rpcgss
usbhid                 33148  1
firewire_sbp2          11434  0
hid                    62793  1 usbhid
loop                   11767  0
usb_storage            39529  1
snd_emu10k1_synth       4840  0
snd_emux_synth         25538  1 snd_emu10k1_synth
snd_seq_virmidi         3787  1 snd_emux_synth
snd_seq_midi_emul       4165  1 snd_emux_synth
snd_emu10k1           123628  1 snd_emu10k1_synth
snd_ac97_codec         99186  1 snd_emu10k1
ac97_bus                1086  1 snd_ac97_codec
snd_pcm_oss            32591  0
snd_mixer_oss          12606  1 snd_pcm_oss
snd_pcm                60503  3 snd_emu10k1,snd_ac97_codec,snd_pcm_oss
sg                     18712  0
snd_page_alloc          6169  2 snd_emu10k1,snd_pcm
snd_util_mem            2064  2 snd_emux_synth,snd_emu10k1
sr_mod                 12602  0
snd_hwdep               5380  2 snd_emux_synth,snd_emu10k1
snd_seq_midi            4400  0
snd_rawmidi            15515  3 snd_seq_virmidi,snd_emu10k1,snd_seq_midi
snd_seq_midi_event      4628  2 snd_seq_virmidi,snd_seq_midi
cdrom                  29415  1 sr_mod
snd_seq                42737  5
snd_emux_synth,snd_seq_virmidi,snd_seq_midi_emul,snd_seq_midi,snd_seq_midi_event
snd_timer              15582  3 snd_emu10k1,snd_pcm,snd_seq
firewire_ohci          19404  0
snd_seq_device          4493  5
snd_emu10k1_synth,snd_emu10k1,snd_seq_midi,snd_rawmidi,snd_seq
ohci_hcd               19116  0
parport_serial          4449  0
ehci_hcd               30895  0
snd                    46414  12
snd_emux_synth,snd_seq_virmidi,snd_emu10k1,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_hwdep,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
firewire_core          36656  2 firewire_sbp2,firewire_ohci
psmouse                49729  0
nvidia              10646314  28
k8temp                  3155  0
ata_generic             2983  0
emu10k1_gp              1734  0
floppy                 49087  0
asus_atk0110            7686  0
pcspkr                  1699  0
i2c_nforce2             5280  0
usbcore               121698  6 usbhid,usb_storage,ohci_hcd,ehci_hcd
parport_pc             18855  3 parport_serial
edac_core              29261  0
parport                27954  3 ppdev,lp,parport_pc
i2c_core               15680  2 nvidia,i2c_nforce2
serio_raw               3752  0
crc_itu_t               1307  1 firewire_core
soundcore               4598  1 snd
nls_base                6377  5 nls_utf8,nls_cp437,vfat,fat,usbcore
evdev                   7352  6
gameport                7384  2 emu10k1_gp
forcedeth              45384  0
skge                   33436  0
pata_amd                9869  0
edac_mce_amd            6401  0
button                  4650  0
processor              30239  0
ext3                  106134  7
jbd                    36877  1 ext3
mbcache                 5050  2 ext2,ext3
sha256_generic          8692  2
aes_x86_64              7340  2
aes_generic            25714  1 aes_x86_64
cbc                     2539  1
dm_crypt               10427  1
dm_mod                 53562  21 dm_crypt
sd_mod                 29713  8
crc_t10dif              1276  1 sd_mod
ahci                   32310  6
libata                133328  3 ata_generic,pata_amd,ahci
thermal                11674  0
thermal_sys            11942  2 processor,thermal
scsi_mod              121861  6
firewire_sbp2,usb_storage,sg,sr_mod,sd_mod,libata

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
#auto eth1
#allow-hotplug eth1
#iface eth1 inet dhcp

auto eth1
allow-hotplug eth1
iface eth1 inet static
    address 192.168.0.201
    netmask 255.255.255.0
    network 192.168.0.0
    broadcast 192.168.0.255
    gateway 192.168.0.254

        # dns-* options are implemented by the resolvconf package, if 
installed
        dns-nameservers 192.168.0.254
        dns-search      kt315.org.ua


# The primary network interface
auto eth0
allow-hotplug eth0
iface eth0 inet static
    address 10.0.0.201
    netmask 255.255.255.0

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast 
state UP
qlen 1000
    link/ether 00:21:91:8e:7e:72 brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.201/24 brd 192.168.0.255 scope global eth1
    inet6 fe80::221:91ff:fe8e:7e72/64 scope link
       valid_lft forever preferred_lft forever
3: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state
DOWN qlen 1000
    link/ether 00:22:15:cf:d4:77 brd ff:ff:ff:ff:ff:ff
    inet 10.0.0.201/24 brd 10.0.0.255 scope global eth0
4: vboxnet0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 0a:00:27:00:00:00 brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes
packets errs drop fifo colls carrier compressed
    lo:  155324    2664    0    0    0     0          0         0   155324
2664    0    0    0     0       0          0
  eth1:67992833   44983    0    0    0     0          0         3  1665834
23398    0    0    0     0       0          0
  eth0:       0       0    0    0    0     0          0         0        0
0    0    0    0     0       0          0
vboxnet0:       0       0    0    0    0     0          0         0        0
0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    47496 total packets received
    0 forwarded
    0 incoming packets discarded
    47496 incoming packets delivered
    25867 requests sent out
Icmp:
    0 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
    0 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
Tcp:
    357 active connections openings
    141 passive connection openings
    202 failed connection attempts
    0 connection resets received
    0 connections established
    47458 segments received
    25795 segments send out
    0 segments retransmited
    0 bad segments received.
    205 resets sent
Udp:
    240 packets received
    0 packets to unknown port received.
    0 packet receive errors
    274 packets sent
UdpLite:
TcpExt:
    141 TCP sockets finished time wait in fast timer
    2 delayed acks sent
    32 packets directly queued to recvmsg prequeue.
    335 bytes directly in process context from backlog
    1841 bytes directly received in process context from prequeue
    44206 packet headers predicted
    340 acknowledgments not containing data payload received
    656 predicted acknowledgments
IpExt:
    InBcastPkts: 82
    OutBcastPkts: 82
    InOctets: 67335894
    OutOctets: 1390601
    InBcastOctets: 12997
    OutBcastOctets: 12997

*** Device features:
eth0: 0x20
eth1: 0x823
lo: 0x13865
vboxnet0: 0x0

** PCI devices:
00:00.0 RAM memory [0500]: nVidia Corporation MCP67 Memory Controller
[10de:0547] (rev a2)
        Subsystem: ASUSTeK Computer Inc. Device [1043:82b3]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Capabilities: <access denied>

00:01.0 ISA bridge [0601]: nVidia Corporation MCP67 ISA Bridge 
[10de:0548] (rev
a2)
        Subsystem: ASUSTeK Computer Inc. Device [1043:82b3]
        Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort+ >SERR- <PERR- INTx-
        Latency: 0
        Region 0: I/O ports at 0900 [size=256]

00:01.1 SMBus [0c05]: nVidia Corporation MCP67 SMBus [10de:0542] (rev a2)
        Subsystem: ASUSTeK Computer Inc. Device [1043:82b3]
        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 10
        Region 0: I/O ports at bc00 [size=64]
        Region 4: I/O ports at 0600 [size=64]
        Region 5: I/O ports at 0700 [size=64]
        Capabilities: <access denied>
        Kernel driver in use: nForce2_smbus
        Kernel modules: i2c-nforce2

00:02.0 USB Controller [0c03]: nVidia Corporation MCP67 OHCI USB 1.1 
Controller
[10de:055e] (rev a2) (prog-if 10 [OHCI])
        Subsystem: ASUSTeK Computer Inc. Device [1043:82b3]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0 (750ns min, 250ns max)
        Interrupt: pin A routed to IRQ 23
        Region 0: Memory at dbeff000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: <access denied>
        Kernel driver in use: ohci_hcd
        Kernel modules: ohci-hcd

00:02.1 USB Controller [0c03]: nVidia Corporation MCP67 EHCI USB 2.0 
Controller
[10de:055f] (rev a2) (prog-if 20 [EHCI])
        Subsystem: ASUSTeK Computer Inc. Device [1043:82b3]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0 (750ns min, 250ns max)
        Interrupt: pin B routed to IRQ 21
        Region 0: Memory at dbefec00 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>
        Kernel driver in use: ehci_hcd
        Kernel modules: ehci-hcd

00:04.0 USB Controller [0c03]: nVidia Corporation MCP67 OHCI USB 1.1 
Controller
[10de:055e] (rev a2) (prog-if 10 [OHCI])
        Subsystem: ASUSTeK Computer Inc. Device [1043:82b3]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0 (750ns min, 250ns max)
        Interrupt: pin A routed to IRQ 22
        Region 0: Memory at dbefd000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: <access denied>
        Kernel driver in use: ohci_hcd
        Kernel modules: ohci-hcd

00:04.1 USB Controller [0c03]: nVidia Corporation MCP67 EHCI USB 2.0 
Controller
[10de:055f] (rev a2) (prog-if 20 [EHCI])
        Subsystem: ASUSTeK Computer Inc. Device [1043:82b3]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0 (750ns min, 250ns max)
        Interrupt: pin B routed to IRQ 20
        Region 0: Memory at dbefe800 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>
        Kernel driver in use: ehci_hcd
        Kernel modules: ehci-hcd

00:06.0 IDE interface [0101]: nVidia Corporation MCP67 IDE Controller
[10de:0560] (rev a1) (prog-if 8a [Master SecP PriP])
        Subsystem: ASUSTeK Computer Inc. Device [1043:82b3]
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0 (750ns min, 250ns max)
        Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable)
[size=8]
        Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable)
[size=1]
        Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable)
[size=8]
        Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable)
[size=1]
        Region 4: I/O ports at ffa0 [size=16]
        Capabilities: <access denied>
        Kernel driver in use: pata_amd
        Kernel modules: ata_generic, pata_amd

00:08.0 PCI bridge [0604]: nVidia Corporation MCP67 PCI Bridge 
[10de:0561] (rev
a2) (prog-if 01 [Subtractive decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        I/O behind bridge: 0000c000-0000dfff
        Memory behind bridge: dbf00000-dbffffff
        Prefetchable memory behind bridge: d0000000-d00fffff
        Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr+ DiscTmrStat- DiscTmrSERREn-
        Capabilities: <access denied>

00:09.0 SATA controller [0106]: nVidia Corporation MCP67 AHCI Controller
[10de:0554] (rev a2) (prog-if 01 [AHCI 1.0])
        Subsystem: ASUSTeK Computer Inc. Device [1043:82b3]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0 (750ns min, 250ns max)
        Interrupt: pin A routed to IRQ 23
        Region 0: I/O ports at b480 [size=8]
        Region 1: I/O ports at b400 [size=4]
        Region 2: I/O ports at b080 [size=8]
        Region 3: I/O ports at b000 [size=4]
        Region 4: I/O ports at ac00 [size=16]
        Region 5: Memory at dbefa000 (32-bit, non-prefetchable) [size=8K]
        Capabilities: <access denied>
        Kernel driver in use: ahci
        Kernel modules: ahci

00:0a.0 Ethernet controller [0200]: nVidia Corporation MCP67 Ethernet
[10de:054c] (rev a2)
        Subsystem: ASUSTeK Computer Inc. Device [1043:82b3]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0 (250ns min, 5000ns max)
        Interrupt: pin A routed to IRQ 31
        Region 0: Memory at dbefc000 (32-bit, non-prefetchable) [size=4K]
        Region 1: I/O ports at a880 [size=8]
        Region 2: Memory at dbefe400 (32-bit, non-prefetchable) [size=256]
        Region 3: Memory at dbefe000 (32-bit, non-prefetchable) [size=16]
        Capabilities: <access denied>
        Kernel driver in use: forcedeth
        Kernel modules: forcedeth

00:0b.0 PCI bridge [0604]: nVidia Corporation MCP67 PCI Express Bridge
[10de:0562] (rev a2) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 0000e000-0000efff
        Memory behind bridge: dc000000-dfffffff
        Prefetchable memory behind bridge: 
00000000c0000000-00000000cfffffff
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: <access denied>
        Kernel driver in use: pcieport
        Kernel modules: shpchp

00:0c.0 PCI bridge [0604]: nVidia Corporation MCP67 PCI Express Bridge
[10de:0563] (rev a2) (prog-if 00 [Normal decode])
        Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: <access denied>
        Kernel driver in use: pcieport
        Kernel modules: shpchp

00:0d.0 PCI bridge [0604]: nVidia Corporation MCP67 PCI Express Bridge
[10de:0563] (rev a2) (prog-if 00 [Normal decode])
        Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: <access denied>
        Kernel driver in use: pcieport
        Kernel modules: shpchp

00:0e.0 PCI bridge [0604]: nVidia Corporation MCP67 PCI Express Bridge
[10de:0563] (rev a2) (prog-if 00 [Normal decode])
        Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: <access denied>
        Kernel driver in use: pcieport
        Kernel modules: shpchp

00:0f.0 PCI bridge [0604]: nVidia Corporation MCP67 PCI Express Bridge
[10de:0563] (rev a2) (prog-if 00 [Normal decode])
        Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: <access denied>
        Kernel driver in use: pcieport
        Kernel modules: shpchp

00:10.0 PCI bridge [0604]: nVidia Corporation MCP67 PCI Express Bridge
[10de:0563] (rev a2) (prog-if 00 [Normal decode])
        Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Bus: primary=00, secondary=07, subordinate=07, sec-latency=0
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: <access denied>
        Kernel driver in use: pcieport
        Kernel modules: shpchp

00:11.0 PCI bridge [0604]: nVidia Corporation MCP67 PCI Express Bridge
[10de:0563] (rev a2) (prog-if 00 [Normal decode])
        Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Bus: primary=00, secondary=08, subordinate=08, sec-latency=0
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: <access denied>
        Kernel driver in use: pcieport
        Kernel modules: shpchp

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K8 
[Athlon64/Opteron]
HyperTransport Technology Configuration [1022:1100]
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K8 
[Athlon64/Opteron]
Address Map [1022:1101]
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K8 
[Athlon64/Opteron]
DRAM Controller [1022:1102]
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Kernel modules: amd64_edac_mod

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K8 
[Athlon64/Opteron]
Miscellaneous Control [1022:1103]
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Capabilities: <access denied>
        Kernel driver in use: k8temp
        Kernel modules: k8temp

01:06.0 Communication controller [0780]: NetMos Technology PCI 9835 
Multi-I/O
Controller [9710:9835] (rev 01)
        Subsystem: LSI Logic / Symbios Logic 1P2S [1000:0012]
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 18
        Region 0: I/O ports at dc00 [size=8]
        Region 1: I/O ports at d880 [size=8]
        Region 2: I/O ports at d800 [size=8]
        Region 3: I/O ports at d480 [size=8]
        Region 4: I/O ports at d400 [size=8]
        Region 5: I/O ports at d080 [size=16]
        Kernel driver in use: parport_serial
        Kernel modules: parport_serial

01:07.0 Ethernet controller [0200]: D-Link System Inc DGE-530T Gigabit 
Ethernet
Adapter (rev 11) [1186:4b01] (rev 11)
        Subsystem: D-Link System Inc DGE-530T Gigabit Ethernet Adapter 
(rev 11)
[1186:4b01]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64 (5750ns min, 7750ns max), Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 19
        Region 0: Memory at dbffc000 (32-bit, non-prefetchable) [size=16K]
        Region 1: I/O ports at c800 [size=256]
        Expansion ROM at d0000000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: skge
        Kernel modules: skge

01:08.0 FireWire (IEEE 1394) [0c00]: Agere Systems FW322/323 [11c1:5811] 
(rev
61) (prog-if 10 [OHCI])
        Subsystem: Pinnacle Systems Inc. Device [11bd:000e]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64 (3000ns min, 6000ns max), Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at dbffb000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: <access denied>
        Kernel driver in use: firewire_ohci
        Kernel modules: firewire-ohci

01:09.0 Multimedia audio controller [0401]: Creative Labs SB Live! EMU10k1
[1102:0002] (rev 07)
        Subsystem: Creative Labs SBLive! Player 5.1 [1102:8061]
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64 (500ns min, 5000ns max)
        Interrupt: pin A routed to IRQ 19
        Region 0: I/O ports at d000 [size=32]
        Capabilities: <access denied>
        Kernel driver in use: EMU10K1_Audigy
        Kernel modules: snd-emu10k1

01:09.1 Input device controller [0980]: Creative Labs SB Live! Game Port
[1102:7002] (rev 07)
        Subsystem: Creative Labs Gameport Joystick [1102:0020]
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64
        Region 0: I/O ports at cc00 [size=8]
        Capabilities: <access denied>
        Kernel driver in use: Emu10k1_gameport
        Kernel modules: emu10k1-gp

02:00.0 VGA compatible controller [0300]: nVidia Corporation G86 
[GeForce 8500
GT] [10de:0421] (rev a1) (prog-if 00 [VGA controller])
        Subsystem: Giga-byte Technology Device [1458:3445]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at df000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Region 3: Memory at dc000000 (64-bit, non-prefetchable) [size=32M]
        Region 5: I/O ports at ec00 [size=128]
        [virtual] Expansion ROM at defe0000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau



** USB devices:
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 051d:0002 American Power Conversion 
Uninterruptible Power Supply
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 13fe:3100 Kingston Technology Company Inc. 2 GB 
USB stick
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 003: ID 058f:6362 Alcor Micro Corp. Flash Card Reader/Writer
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=uk_UA.UTF-8, LC_CTYPE=uk_UA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration 
management sy
ii  initramfs-tools [linux-initra 0.98.4     tools for generating an 
initramfs
ii  linux-base                    2.6.32-23  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux 
kernel mo

Versions of packages linux-image-2.6.32-5-amd64 recommends:
ii  firmware-linux-free           2.6.32-23  Binary firmware for various 
driver

Versions of packages linux-image-2.6.32-5-amd64 suggests:
pn  grub | lilo <none>     (no description available)
pn  linux-doc-2.6.32 <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 is related to:
pn  firmware-bnx2 <none>     (no description available)
pn  firmware-bnx2x <none>     (no description available)
pn  firmware-ipw2x00 <none>     (no description available)
pn  firmware-ivtv <none>     (no description available)
pn  firmware-iwlwifi <none>     (no description available)
pn  firmware-linux <none>     (no description available)
pn  firmware-linux-nonfree <none>     (no description available)
pn  firmware-qlogic <none>     (no description available)
pn  firmware-ralink <none>     (no description available)
pn  xen-hypervisor <none>     (no description available)

-- debconf information:
  
linux-image-2.6.32-5-amd64/postinst/depmod-error-initrd-2.6.32-5-amd64: 
false
  
linux-image-2.6.32-5-amd64/prerm/removing-running-kernel-2.6.32-5-amd64: 
true
* linux-image-2.6.32-5-amd64/postinst/missing-firmware-2.6.32-5-amd64:
  
linux-image-2.6.32-5-amd64/postinst/ignoring-do-bootloader-2.6.32-5-amd64:

-- 
С уважением, Сергей!





Severity set to 'important' from 'serious' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Wed, 13 Oct 2010 12:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600075; Package linux-2.6. (Sat, 16 Oct 2010 23:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gorel's'kiy Sergiy <kt315@bigmir.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Oct 2010 23:18:04 GMT) Full text and rfc822 format available.

Message #12 received at 600075@bugs.debian.org (full text, mbox):

From: Gorel's'kiy Sergiy <kt315@bigmir.net>
To: 600075@bugs.debian.org
Subject: linux-image-2.6.32-5-686: Usb work led to the blocking other tasks
Date: Sun, 17 Oct 2010 02:13:45 +0300
Package: linux-2.6
Version: 2.6.32-24
Severity: important

Hi!
This bug is present in 32bit kernel to.

I test it on laptop Acer TravelMate 370. This kernel (...32-24) used for 
enable acceleration on i855GM video card.

-- Package-specific info:
** Version:
Linux version 2.6.32-5-686 (Debian 2.6.32-24) (ben@decadent.org.uk) (gcc 
version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Thu Sep 30 03:56:23 UTC 2010

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.32-5-686 
root=UUID=fb7b94e1-1837-4fe1-b96d-82c1d51241bb ro quiet

** Not tainted

** Kernel log:
[ 8587.946986] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[ 8598.072056] eth0: no IPv6 routers present
[ 8632.305881] ADDRCONF(NETDEV_UP): eth1: link is not ready
[ 8632.370210] eth0: link up, 100Mbps, full-duplex, lpa 0xC5E1
[ 8632.416300] eth0: link up, 100Mbps, full-duplex, lpa 0xC5E1
[ 8642.772245] eth0: no IPv6 routers present
[ 8732.308094] usb 2-1: new low speed USB device using uhci_hcd and 
address 2
[ 8732.476068] usb 2-1: New USB device found, idVendor=1d57, idProduct=32b9
[ 8732.476080] usb 2-1: New USB device strings: Mfr=0, Product=2, 
SerialNumber=0
[ 8732.476090] usb 2-1: Product: 2.4G Receiver
[ 8732.476390] usb 2-1: configuration #1 chosen from 1 choice
[ 8733.003289] usbcore: registered new interface driver hiddev
[ 8733.019999] input: 2.4G Receiver as 
/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0/input/input8
[ 8733.021347] generic-usb 0003:1D57:32B9.0001: input,hidraw0: USB HID 
v1.10 Mouse [2.4G Receiver] on usb-0000:00:1d.0-1/input0
[ 8733.021395] usbcore: registered new interface driver usbhid
[ 8733.025700] usbhid: v2.6:USB HID core driver
[10790.948068] usb 1-2: new high speed USB device using ehci_hcd and 
address 3
[10791.083790] usb 1-2: New USB device found, idVendor=13fe, idProduct=3100
[10791.083802] usb 1-2: New USB device strings: Mfr=1, Product=2, 
SerialNumber=3
[10791.083811] usb 1-2: Product: Patriot Memory
[10791.083818] usb 1-2: Manufacturer:
[10791.083825] usb 1-2: SerialNumber: 07A31D00174ED3B7
[10791.085183] usb 1-2: configuration #1 chosen from 1 choice
[10791.202803] Initializing USB Mass Storage driver...
[10791.203619] scsi2 : SCSI emulation for USB Mass Storage devices
[10791.204384] usbcore: registered new interface driver usb-storage
[10791.204388] USB Mass Storage support registered.
[10791.210399] usb-storage: device found at 3
[10791.210403] usb-storage: waiting for device to settle before scanning
[10796.208267] usb-storage: device scan complete
[10796.234630] scsi 2:0:0:0: Direct-Access              Patriot Memory   
PMAP PQ: 0 ANSI: 0 CCS
[10796.853986] sd 2:0:0:0: [sdb] 31309824 512-byte logical blocks: (16.0 
GB/14.9 GiB)
[10796.857475] sd 2:0:0:0: [sdb] Write Protect is off
[10796.857487] sd 2:0:0:0: [sdb] Mode Sense: 23 00 00 00
[10796.857495] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[10796.865591] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[10796.865604]  sdb: sdb1
[10796.887278] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[10796.887293] sd 2:0:0:0: [sdb] Attached SCSI removable disk
[10813.688647] FAT: utf8 is not a recommended IO charset for FAT 
filesystems, filesystem will be case sensitive!
[11232.365266] usb 1-2: USB disconnect, address 3
[11257.592062] usb 1-2: new high speed USB device using ehci_hcd and 
address 4
[11257.727875] usb 1-2: New USB device found, idVendor=13fe, idProduct=3100
[11257.727887] usb 1-2: New USB device strings: Mfr=1, Product=2, 
SerialNumber=3
[11257.727896] usb 1-2: Product: Patriot Memory
[11257.727903] usb 1-2: Manufacturer:
[11257.727910] usb 1-2: SerialNumber: 07A31D00174ED3B7
[11257.731278] usb 1-2: configuration #1 chosen from 1 choice
[11257.732254] scsi3 : SCSI emulation for USB Mass Storage devices
[11257.732676] usb-storage: device found at 4
[11257.732683] usb-storage: waiting for device to settle before scanning
[11262.734210] usb-storage: device scan complete
[11262.760434] scsi 3:0:0:0: Direct-Access              Patriot Memory   
PMAP PQ: 0 ANSI: 0 CCS
[11263.408549] sd 3:0:0:0: [sdb] 31309824 512-byte logical blocks: (16.0 
GB/14.9 GiB)
[11263.412257] sd 3:0:0:0: [sdb] Write Protect is off
[11263.412262] sd 3:0:0:0: [sdb] Mode Sense: 23 00 00 00
[11263.412265] sd 3:0:0:0: [sdb] Assuming drive cache: write through
[11263.419447] sd 3:0:0:0: [sdb] Assuming drive cache: write through
[11263.419459]  sdb: sdb1
[11263.440829] sd 3:0:0:0: [sdb] Assuming drive cache: write through
[11263.440842] sd 3:0:0:0: [sdb] Attached SCSI removable disk
[11273.964107] FAT: utf8 is not a recommended IO charset for FAT 
filesystems, filesystem will be case sensitive!
[11521.016186] INFO: task dpkg:10383 blocked for more than 120 seconds.
[11521.016197] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" 
disables this message.
[11521.016206] dpkg          D c2004d58     0 10383  10365 0x00000000
[11521.016221]  ef264000 00200086 00000002 c2004d58 00000000 c1419100 
c1419100 00000167
[11521.016241]  ef2641bc c2008100 00000000 5a6c23be 00000a5d 00000000 
1d10805a 00000167
[11521.016260]  ef385dec ef2641bc 00000001 00200292 c1025c2a 00000004 
00000000 f10c1f18
[11521.016278] Call Trace:
[11521.016304]  [<c1025c2a>] ? enqueue_entity+0x82/0x129
[11521.016319]  [<c10c8a4d>] ? bdi_sched_wait+0x5/0x8
[11521.016337]  [<c126c6f9>] ? __wait_on_bit+0x33/0x58
[11521.016347]  [<c10c8a48>] ? bdi_sched_wait+0x0/0x8
[11521.016360]  [<c126c7d3>] ? out_of_line_wait_on_bit+0xb5/0xbd
[11521.016371]  [<c10c8a48>] ? bdi_sched_wait+0x0/0x8
[11521.016387]  [<c1043b3b>] ? wake_bit_function+0x0/0x3c
[11521.016398]  [<c10c8ac1>] ? sync_inodes_sb+0x71/0x108
[11521.016412]  [<c10cbf5f>] ? __sync_filesystem+0x41/0x60
[11521.016424]  [<c10cbffa>] ? sync_filesystems+0x7c/0xbb
[11521.016435]  [<c10cc075>] ? sys_sync+0x18/0x29
[11521.016448]  [<c10030fb>] ? sysenter_do_call+0x12/0x28
[11641.016142] INFO: task dpkg:10383 blocked for more than 120 seconds.
[11641.016153] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" 
disables this message.
[11641.016162] dpkg          D c2004d58     0 10383      1 0x00000004
[11641.016177]  ef264000 00200086 00000002 c2004d58 00000000 c1419100 
c1419100 00000167
[11641.016197]  ef2641bc c2008100 00000000 5a6c23be 00000a5d 00000000 
1d10805a 00000167
[11641.016216]  ef385dec ef2641bc 00000001 00200292 c1025c2a 00000004 
00000000 f10c1f18
[11641.016234] Call Trace:
[11641.016261]  [<c1025c2a>] ? enqueue_entity+0x82/0x129
[11641.016276]  [<c10c8a4d>] ? bdi_sched_wait+0x5/0x8
[11641.016294]  [<c126c6f9>] ? __wait_on_bit+0x33/0x58
[11641.016305]  [<c10c8a48>] ? bdi_sched_wait+0x0/0x8
[11641.016318]  [<c126c7d3>] ? out_of_line_wait_on_bit+0xb5/0xbd
[11641.016329]  [<c10c8a48>] ? bdi_sched_wait+0x0/0x8
[11641.016344]  [<c1043b3b>] ? wake_bit_function+0x0/0x3c
[11641.016356]  [<c10c8ac1>] ? sync_inodes_sb+0x71/0x108
[11641.016370]  [<c10cbf5f>] ? __sync_filesystem+0x41/0x60
[11641.016381]  [<c10cbffa>] ? sync_filesystems+0x7c/0xbb
[11641.016392]  [<c10cc075>] ? sys_sync+0x18/0x29
[11641.016406]  [<c10030fb>] ? sysenter_do_call+0x12/0x28

** Model information
not available

** Loaded modules:
Module                  Size  Used by
nls_utf8                 908  1
nls_cp437               4489  1
vfat                    6570  1
fat                    34912  1 vfat
usb_storage            30541  1
usbhid                 28008  0
hid                    50653  1 usbhid
nfs                   206978  1
lockd                  49437  1 nfs
fscache                24662  1 nfs
nfs_acl                 1695  1 nfs
auth_rpcgss            25268  1 nfs
sunrpc                134560  10 nfs,lockd,nfs_acl,auth_rpcgss
aes_i586                6816  0
aes_generic            25738  1 aes_i586
lib80211_crypt_ccmp     3643  0
acpi_cpufreq            4943  0
cpufreq_conservative     4018  0
cpufreq_powersave        602  0
cpufreq_userspace       1480  0
cpufreq_stats           1940  0
irtty_sir               2553  0
binfmt_misc             4907  1
sir_dev                 6933  1 irtty_sir
uinput                  4796  1
fuse                   43829  1
ext2                   46293  1
loop                    9765  0
firewire_net            9217  0
firewire_sbp2           9647  0
mmc_block               6472  0
sdricoh_cs              3457  0
mmc_core               38665  2 mmc_block,sdricoh_cs
ide_cs                  6220  0
ide_core               59614  1 ide_cs
pcmcia                 16194  2 sdricoh_cs,ide_cs
snd_intel8x0m           8100  0
snd_intel8x0           19555  3
snd_ac97_codec         79148  2 snd_intel8x0m,snd_intel8x0
ac97_bus                 710  1 snd_ac97_codec
snd_pcm_oss            28675  0
snd_mixer_oss          10461  1 snd_pcm_oss
snd_pcm                47226  5 
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_seq_midi            3576  0
snd_rawmidi            12513  1 snd_seq_midi
i915                  221735  2
snd_seq_midi_event      3684  1 snd_seq_midi
snd_seq                35463  2 snd_seq_midi,snd_seq_midi_event
yenta_socket           16403  4
ipw2200               108368  0
drm_kms_helper         18305  1 i915
rsrc_nonstatic          7057  1 yenta_socket
libipw                 18439  1 ipw2200
snd_timer              12258  3 snd_pcm,snd_seq
pcmcia_core            20450  3 pcmcia,yenta_socket,rsrc_nonstatic
snd_seq_device          3673  3 snd_seq_midi,snd_rawmidi,snd_seq
lib80211                2870  3 lib80211_crypt_ccmp,ipw2200,libipw
drm                   112088  3 i915,drm_kms_helper
snd                    34363  14 
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
i2c_i801                6462  0
shpchp                 21220  0
joydev                  6771  0
i2c_algo_bit            3497  1 i915
soundcore               3450  1 snd
parport_pc             15799  0
snd_page_alloc          5045  3 snd_intel8x0m,snd_intel8x0,snd_pcm
i2c_core               12696  5 
i915,drm_kms_helper,drm,i2c_i801,i2c_algo_bit
video                  14605  1 i915
rng_core                2178  0
pci_hotplug            18065  1 shpchp
parport                22554  1 parport_pc
rfkill                 10264  0
battery                 3782  0
processor              26671  2 acpi_cpufreq
button                  3598  1 i915
output                  1204  1 video
led_class               1757  0
pcspkr                  1207  0
ac                      1640  0
wmi                     3575  0
irda                   75920  1 sir_dev
crc_ccitt               1039  1 irda
evdev                   5609  13
psmouse                44657  0
serio_raw               2916  0
ext3                   94204  4
jbd                    32169  1 ext3
mbcache                 3762  2 ext2,ext3
sd_mod                 25869  9
crc_t10dif              1012  1 sd_mod
ata_generic             2019  0
uhci_hcd               16057  0
8139too                14949  0
firewire_ohci          16509  0
ata_piix               17736  7
ehci_hcd               27851  0
8139cp                 13421  0
firewire_core          31187  3 firewire_net,firewire_sbp2,firewire_ohci
thermal                 9206  0
libata                115757  2 ata_generic,ata_piix
usbcore                98389  5 usb_storage,usbhid,uhci_hcd,ehci_hcd
crc_itu_t               1035  1 firewire_core
mii                     2714  2 8139too,8139cp
thermal_sys             9378  3 video,processor,thermal
scsi_mod              101409  4 usb_storage,firewire_sbp2,sd_mod,libata
nls_base                4541  5 nls_utf8,nls_cp437,vfat,fat,usbcore

** USB devices:
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 1d57:32b9
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 004: ID 13fe:3100 Kingston Technology Company Inc. 2 GB 
USB stick
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=ru_UA.UTF-8, LC_CTYPE=ru_UA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-686 depends on:
ii  debconf [debconf-2.0]         1.5.36     Debian configuration 
management sy
ii  initramfs-tools [linux-initra 0.98.4     tools for generating an 
initramfs
ii  linux-base                    2.6.32-24  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux 
kernel mo

Versions of packages linux-image-2.6.32-5-686 recommends:
ii  firmware-linux-free           2.6.32-23  Binary firmware for various 
driver
ii  libc6-i686                    2.11.2-6   Embedded GNU C Library: 
Shared lib

Versions of packages linux-image-2.6.32-5-686 suggests:
pn  grub | lilo <none>     (no description available)
pn  linux-doc-2.6.32 <none>     (no description available)

Versions of packages linux-image-2.6.32-5-686 is related to:
pn  firmware-bnx2 <none>     (no description available)
pn  firmware-bnx2x <none>     (no description available)
ii  firmware-ipw2x00              0.26       Binary firmware for Intel 
Pro Wire
pn  firmware-ivtv <none>     (no description available)
pn  firmware-iwlwifi <none>     (no description available)
pn  firmware-linux <none>     (no description available)
pn  firmware-linux-nonfree <none>     (no description available)
pn  firmware-qlogic <none>     (no description available)
pn  firmware-ralink <none>     (no description available)
pn  xen-hypervisor <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-5-686/prerm/removing-running-kernel-2.6.32-5-686: true
  linux-image-2.6.32-5-686/postinst/depmod-error-initrd-2.6.32-5-686: false
  linux-image-2.6.32-5-686/postinst/ignoring-do-bootloader-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/missing-firmware-2.6.32-5-686:





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600075; Package linux-2.6. (Mon, 18 Oct 2010 21:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gorel's'kiy Sergiy <kt315@bigmir.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 18 Oct 2010 21:15:06 GMT) Full text and rfc822 format available.

Message #17 received at 600075@bugs.debian.org (full text, mbox):

From: Gorel's'kiy Sergiy <kt315@bigmir.net>
To: 600075@bugs.debian.org
Subject: usb hung tasks
Date: Tue, 19 Oct 2010 00:12:12 +0300
Maybe i was wrong, but now (kernel 2.6.32-25) this bug is only for dkpg 
(apt).
When i reproduce transfer data to usb flash, hungs only dpkg task. Other 
tasks (xarchiver, ftp download) works properly.

-- 
Best regards, Sergiy!





Forcibly Merged 595927 600075. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 10 Nov 2010 08:57:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-2.6' to 'dpkg'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 10 Nov 2010 09:03:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.32-24, 2.6.32-21, and 2.6.32-23. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 10 Nov 2010 09:03:09 GMT) Full text and rfc822 format available.

Severity set to 'critical' from 'important' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 10 Nov 2010 09:03:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Thu, 25 Nov 2010 06:54:05 GMT) Full text and rfc822 format available.

Message sent on to Сергей <kt315@bigmir.net>:
Bug#600075. (Thu, 25 Nov 2010 06:54:18 GMT) Full text and rfc822 format available.

Message #30 received at 600075-submitter@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 600075-submitter@bugs.debian.org
Subject: Bug#600075 marked as pending
Date: Thu, 25 Nov 2010 06:50:21 +0000
tag 600075 pending
thanks

Hello,

Bug #600075 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=5ee4e4e

---
commit 5ee4e4e0458088cde1625ddb5a3d736f31a335d3
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 29 09:11:02 2010 +0200

    build: Disable usage of synchronous sync(2) by default
    
    It causes undesired I/O on unrelated file systems. It also makes the
    code behave differently on Linux systems.
    
    Allow the possibility to enable it again for the benefit of downstreams,
    which might want to use it regardless of its problems. Although this
    code path will most probably be removed in the near future.
    
    Closes: #588339, #595927, #600075

diff --git a/debian/changelog b/debian/changelog
index f66daa9..4fcd521 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -11,6 +11,10 @@ dpkg (1.15.8.6) UNRELEASED; urgency=low
     correct series file if the source package provides vendor specific patch
     sets.
 
+  [ Guillem Jover ]
+  * Disable by default usage of synchronous sync(2), as it causes undesired
+    I/O on unrelated file systems. Closes: #588339, #595927, #600075
+
   [ Updated man page translations ]
   * French (Christian Perrier). Including a typo fix
     and a typographical change reported by Vincent Danjean




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Thu, 25 Nov 2010 07:03:27 GMT) Full text and rfc822 format available.

Notification sent to Сергей <kt315@bigmir.net>:
Bug acknowledged by developer. (Thu, 25 Nov 2010 07:03:27 GMT) Full text and rfc822 format available.

Message #35 received at 600075-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 600075-close@bugs.debian.org
Subject: Bug#600075: fixed in dpkg 1.15.8.6
Date: Thu, 25 Nov 2010 07:02:13 +0000
Source: dpkg
Source-Version: 1.15.8.6

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.15.8.6_all.deb
  to main/d/dpkg/dpkg-dev_1.15.8.6_all.deb
dpkg_1.15.8.6.dsc
  to main/d/dpkg/dpkg_1.15.8.6.dsc
dpkg_1.15.8.6.tar.bz2
  to main/d/dpkg/dpkg_1.15.8.6.tar.bz2
dpkg_1.15.8.6_amd64.deb
  to main/d/dpkg/dpkg_1.15.8.6_amd64.deb
dselect_1.15.8.6_amd64.deb
  to main/d/dpkg/dselect_1.15.8.6_amd64.deb
libdpkg-dev_1.15.8.6_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.15.8.6_amd64.deb
libdpkg-perl_1.15.8.6_all.deb
  to main/d/dpkg/libdpkg-perl_1.15.8.6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600075@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 25 Nov 2010 07:10:48 +0100
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.15.8.6
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 584254 588339 595455 595927 596168 596519 597023 597651 598473 599923 600075 600240 601852 602518 604769
Changes: 
 dpkg (1.15.8.6) unstable; urgency=low
 .
   [ Raphaël Hertzog ]
   * Ensure debian/source/local-options is always excluded from the source
     package even if the user provides customized -i or -I options.
     Closes: #597023
   * Fix Dpkg::Version's handling of version with a debian revision but an
     empty version (e.g. "-0.1"). Thanks to James Vega <jamessan@debian.org>
     for the patch. Closes: #597651
   * With "3.0 (quilt)" source package, create .pc/.quilt_series with the
     correct series file if the source package provides vendor specific patch
     sets.
 .
   [ Guillem Jover ]
   * Disable by default usage of synchronous sync(2), as it causes undesired
     I/O on unrelated file systems. Closes: #588339, #595927, #600075
   * Add new --force-unsafe-io to disable safe I/O operations on unpack.
     Closes: #584254
 .
   [ Updated man page translations ]
   * French (Christian Perrier). Including a typo fix and a typographical
     change reported by Vincent Danjean. Closes: #601852
   * Spanish (Omar Campagne). Closes: #596519
 .
   [ Updated programs translations ]
   * Basque (Iñaki Larrañaga Murgoitio). Closes: #599923
   * Catalan (Jordi Mallach).
   * Danish (Ask Hjorth Larsen). Closes: #600240
   * German (Sven Joachim). Improved by Holger Wansing.
   * Italian (Pietro Battiston). Fix translation of "however". Closes: #602518
   * Portuguese (Miguel Figueiredo). Closes: #596168
   * Romanian (Andrei Popescu). Closes: #604769
   * Russian (Yuri Kozlov). Closes: #595455
   * Vietnamese (Clytie Siddall). Closes: #598473
 .
   [ Updated scripts translations ]
   * Catalan (Jordi Mallach).
   * German (Sven Joachim).
 .
   [ Updated dselect translations ]
   * Catalan (Jordi Mallach).
   * German (Sven Joachim).
Checksums-Sha1: 
 0ac67a10e335d0ec5375ac523998546403525ff9 1208 dpkg_1.15.8.6.dsc
 ebc9a6087f8f8c56c973f26f9bdb17ef1c570f0c 5222815 dpkg_1.15.8.6.tar.bz2
 7a6e46450c5d8d89746a5ba16a6ed7b9306b2a07 426852 libdpkg-dev_1.15.8.6_amd64.deb
 ba234426fb283f292efc9a0b202a09b5c579b504 2338026 dpkg_1.15.8.6_amd64.deb
 196702535a3a609f134375d5d3c39bb26663f4ca 894426 dselect_1.15.8.6_amd64.deb
 e6affdd25dcdc0b9c73e5059bc95f34531ed52e4 801736 dpkg-dev_1.15.8.6_all.deb
 47cb193e3096afb8035632a1b6bae0da9771c226 682848 libdpkg-perl_1.15.8.6_all.deb
Checksums-Sha256: 
 a4355f87fa1466edcefff224182ae7824d1469d1ddc28126d00cd361c611e0a9 1208 dpkg_1.15.8.6.dsc
 b319621a4d0f9fa7b356b4def978bad0b18b944405f2be9eace5e2713b5f1f49 5222815 dpkg_1.15.8.6.tar.bz2
 eedd636f39cb03a28758558cd6f4b700a2168c1adb9e4c8a59ab4ca07549bad5 426852 libdpkg-dev_1.15.8.6_amd64.deb
 6d3265e9aa6ef2d7ec341687df80e55da5996daa5d581e1864e9466bc7c36321 2338026 dpkg_1.15.8.6_amd64.deb
 b4a073849a3944c4f7b13b67cc6db8a78e8edd38ca50d86134f7aa1977c40f4b 894426 dselect_1.15.8.6_amd64.deb
 3368e9efe1206c720b92c69b89f3f43e8a0a4d13949aa24deceb02b2452ef756 801736 dpkg-dev_1.15.8.6_all.deb
 6a05978ee576c2848aa0f748cd0208547c0f39856a782ba227db331b7cf24bd3 682848 libdpkg-perl_1.15.8.6_all.deb
Files: 
 6d69ce9fd47b97aef50f5ba1209c4b24 1208 admin required dpkg_1.15.8.6.dsc
 4102648a08a4416bfc3e4f4275a438e4 5222815 admin required dpkg_1.15.8.6.tar.bz2
 1c45d231edef121f36a575a6322e928b 426852 libdevel optional libdpkg-dev_1.15.8.6_amd64.deb
 4525021598d6810dcb3fa114e5433ba1 2338026 admin required dpkg_1.15.8.6_amd64.deb
 b5662cfacfb969c3db3668cab230729b 894426 admin optional dselect_1.15.8.6_amd64.deb
 85db60da1da45941fd1789d156bdbd01 801736 utils optional dpkg-dev_1.15.8.6_all.deb
 00816223970f7700379ef13d2110878b 682848 perl optional libdpkg-perl_1.15.8.6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzuA9IACgkQuW9ciZ2SjJtWeACgw/Em7Z5+xaFqj6lJk3DpESzc
y/EAnA0oig96OBJD4pOI1fM62qXmzP00
=ugvO
-----END PGP SIGNATURE-----





Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Thu, 25 Nov 2010 07:03:28 GMT) Full text and rfc822 format available.

Notification sent to stephen mulcahy <stephen.mulcahy@deri.org>:
Bug acknowledged by developer. (Thu, 25 Nov 2010 07:03:28 GMT) Full text and rfc822 format available.

Forcibly Merged 595927 600075 606966. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 13 Dec 2010 18:09:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Jan 2011 07:31:17 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Fri, 20 May 2011 07:15:03 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions dpkg/1.15.8.6 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 May 2011 07:21:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'dpkg' to 'linux-2.6'. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Fri, 20 May 2011 07:21:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions dpkg/1.15.8.5. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Fri, 20 May 2011 07:21:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.38-4. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Fri, 20 May 2011 07:21:09 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'critical' Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Fri, 20 May 2011 07:21:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'sync() may block for very long periods - writeback problem?' from 'linux-image-2.6.32-5-amd64: Problem with usb' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 13 Jan 2012 04:18:07 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 20 Aug 2012 16:53:12 GMT) Full text and rfc822 format available.

Marked as found in versions 2.6.32-21. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 21 Aug 2012 02:24:05 GMT) Full text and rfc822 format available.

Message #63 received at 595927-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 595927-done@bugs.debian.org
Subject: Re: sync() may block for very long periods - writeback problem?
Date: Tue, 21 Aug 2012 03:44:34 +0100
[Message part 1 (text/plain, inline)]
Version: 3.2~rc4-1~experimental.1

A lot of improvements to writeback went into 3.2, and the upstream bug
report for this is now marked as resolved.  Hopefully this is the case.

Ben.

-- 
Ben Hutchings
The most exhausting thing in life is being insincere. - Anne Morrow Lindberg
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Sep 2012 07:30:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:54:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.